Bug 146884 - ntpd startup too early + hangs
ntpd startup too early + hangs
Product: Fedora
Classification: Fedora
Component: ntp (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-02-02 10:14 EST by Neal Becker
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-08 08:01:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2005-02-02 10:14:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
In FC3 ntpd has 2 problems

1) Starts too early
2) hangs

Especially if you want to use NetworkManager (which starts very late), ntpd
should be started later.

ntpd failing to start hangs the startup for about 10-15 seconds.  This
shouldn't happen.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.boot w/ ntpd enabled without network connectivity or with changed connectivity

Additional info:
Comment 1 Ralph Loader 2006-01-13 00:40:58 EST
I think if the call to the (deprecated) ntpdate in the init script were removed,
this (and several other) problems would disappear.

Instead, run ntpd with the -g flag to recover from large time errors.
Comment 2 Bernard Johnson 2006-02-10 18:31:28 EST
This bug still exists even in rawhide.

As more and more people start to use NetworkManager, it's quite annoying to have
the delay of ntpd starting and then the error message because the network is not
Comment 3 Matthew Miller 2006-07-10 17:38:38 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Miroslav Lichvar 2006-07-27 09:00:56 EDT
system-config-date now doesn't fill the /etc/ntp/step-tickers file by default so
ntpdate isn't called during boot.

The issue with NetworkManager still needs to be addressed.
Comment 5 Miroslav Lichvar 2007-01-08 08:01:12 EST
ntpd 4.2.4 handles dynamic interfaces correctly, so it should be finally ok with

Note You need to log in before you can comment on or make changes to this bug.